Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TImport

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleAttributesDocumented
              org.apache.cxf.wsdl.TImport

    public class TImport

extends TExtensibleAttributesDocumented

Java class for tImport complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tImport">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleAttributesDocumented">
           <attribute name="namespace" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="location" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `location`
`protected java.lang.String` | `namespace`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TImport()`

Method Summary
`java.lang.String` | `getLocation()` Gets the value of the location property.
`java.lang.String` | `getNamespace()` Gets the value of the namespace property.
`boolean` | `isSetLocation()`
`boolean` | `isSetNamespace()`
`void` | `setLocation(java.lang.String value)` Sets the value of the location property.
`void` | `setNamespace(java.lang.String value)` Sets the value of the namespace property.

Methods inherited from class org.apache.cxf.wsdl.TExtensibleAttributesDocumented
`getOtherAttributes`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespace

    protected java.lang.String namespace

### location

    protected java.lang.String location

Constructor Detail

### TImport

    public TImport()

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the value of the namespace property.

  Returns:
    possible object is `String`

### setNamespace

    public void setNamespace(java.lang.String value)

  Sets the value of the namespace property.

  Parameters:
    `value` - allowed object is `String`

### isSetNamespace

    public boolean isSetNamespace()

### getLocation

    public java.lang.String getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `String`

### setLocation

    public void setLocation(java.lang.String value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `String`

### isSetLocation

    public boolean isSetLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF